Package org.eclipse.emf.compare.rcp.ui.internal.configuration.impl

## Class ComparisonAndScopeChange

- java.lang.Object
- - org.eclipse.emf.compare.rcp.ui.internal.configuration.impl.ComparisonAndScopeChange

All Implemented Interfaces:
  `ICompareEvent`, `IComparisonAndScopeChange`

    public class ComparisonAndScopeChange
    extends Object
    implements ICompareEvent, IComparisonAndScopeChange

### Constructor Summary

Constructors
`ComparisonAndScopeChange​(Comparison oldComparison, Comparison newComparison, IComparisonScope oldPredicate, IComparisonScope newScope)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Comparison` `getNewComparison()`
`IComparisonScope` `getNewScope()`
`Comparison` `getOldComparison()`
`IComparisonScope` `getOldScope()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComparisonAndScopeChange

    public ComparisonAndScopeChange​(Comparison oldComparison,
                                    Comparison newComparison,
                                    IComparisonScope oldPredicate,
                                    IComparisonScope newScope)

### Method Detail

#### getOldComparison

    public Comparison getOldComparison()

Specified by:
  `getOldComparison` in interface `IComparisonAndScopeChange`
See Also:
  `IComparisonAndScopeChange.getOldComparison()`

#### getNewComparison

    public Comparison getNewComparison()

Specified by:
  `getNewComparison` in interface `IComparisonAndScopeChange`
See Also:
  `IComparisonAndScopeChange.getNewComparison()`

#### getOldScope

    public IComparisonScope getOldScope()

Specified by:
  `getOldScope` in interface `IComparisonAndScopeChange`
See Also:
  `IComparisonAndScopeChange.getOldScope()`

#### getNewScope

    public IComparisonScope getNewScope()

Specified by:
  `getNewScope` in interface `IComparisonAndScopeChange`
See Also:
  `IComparisonAndScopeChange.getNewScope()`